package net.minecraft.src;

import net.lax1dude.eaglercraft.EaglerImage;
import net.lax1dude.eaglercraft.TextureLocation;

import java.io.IOException;
import java.io.InputStream;
import java.util.Set;

public interface ResourcePack
{
    InputStream getInputStream(TextureLocation var1) throws IOException;

    boolean resourceExists(TextureLocation var1);

    Set getResourceDomains();

    EaglerImage getPackImage() throws IOException;

    String getPackName();
}
